gi-glib-2.0.17: GLib bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.GLib.Structs.SourceCallbackFuncs

Contents

- Exported types
- Properties
  - ref
  - unref

Description

The `GSourceCallbackFuncs` struct contains functions for managing callback objects.

Synopsis

- newtype SourceCallbackFuncs = SourceCallbackFuncs (ManagedPtr SourceCallbackFuncs)
- newZeroSourceCallbackFuncs :: MonadIO m => m SourceCallbackFuncs
- noSourceCallbackFuncs :: Maybe SourceCallbackFuncs
- clearSourceCallbackFuncsRef :: MonadIO m => SourceCallbackFuncs -> m ()
- getSourceCallbackFuncsRef :: MonadIO m => SourceCallbackFuncs -> m (Maybe SourceCallbackFuncsRefFieldCallback)
- setSourceCallbackFuncsRef :: MonadIO m => SourceCallbackFuncs -> FunPtr C_SourceCallbackFuncsRefFieldCallback -> m ()
- clearSourceCallbackFuncsUnref :: MonadIO m => SourceCallbackFuncs -> m ()
- getSourceCallbackFuncsUnref :: MonadIO m => SourceCallbackFuncs -> m (Maybe SourceCallbackFuncsUnrefFieldCallback)
- setSourceCallbackFuncsUnref :: MonadIO m => SourceCallbackFuncs -> FunPtr C_SourceCallbackFuncsUnrefFieldCallback -> m ()

# Exported types

newtype SourceCallbackFuncs Source #

Memory-managed wrapper type.

Constructors

SourceCallbackFuncs (ManagedPtr SourceCallbackFuncs) |

Instances

WrappedPtr SourceCallbackFuncs Source # |
Instance details Defined in GI.GLib.Structs.SourceCallbackFuncs Methods wrappedPtrCalloc :: IO (Ptr SourceCallbackFuncs) Source # wrappedPtrCopy :: SourceCallbackFuncs -> IO SourceCallbackFuncs Source # wrappedPtrFree :: Maybe (FunPtr (Ptr SourceCallbackFuncs -> IO ())) Source #
tag ~ AttrSet => Constructible SourceCallbackFuncs tag Source # |
Instance details Defined in GI.GLib.Structs.SourceCallbackFuncs Methods new :: MonadIO m => (ManagedPtr SourceCallbackFuncs -> SourceCallbackFuncs) -> [AttrOp SourceCallbackFuncs tag] -> m SourceCallbackFuncs Source #

newZeroSourceCallbackFuncs :: MonadIO m => m SourceCallbackFuncs Source #

Construct a `SourceCallbackFuncs` struct initialized to zero.

noSourceCallbackFuncs :: Maybe SourceCallbackFuncs Source #

A convenience alias for `Nothing` :: `Maybe` `SourceCallbackFuncs`.

# Properties

## ref

No description available in the introspection data.

clearSourceCallbackFuncsRef :: MonadIO m => SourceCallbackFuncs -> m () Source #

Set the value of the “`ref`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #ref

getSourceCallbackFuncsRef :: MonadIO m => SourceCallbackFuncs -> m (Maybe SourceCallbackFuncsRefFieldCallback) Source #

Get the value of the “`ref`” field. When overloading is enabled, this is equivalent to

    get sourceCallbackFuncs #ref

setSourceCallbackFuncsRef :: MonadIO m => SourceCallbackFuncs -> FunPtr C_SourceCallbackFuncsRefFieldCallback -> m () Source #

Set the value of the “`ref`” field. When overloading is enabled, this is equivalent to

    set sourceCallbackFuncs [ #ref := value ]

## unref

No description available in the introspection data.

clearSourceCallbackFuncsUnref :: MonadIO m => SourceCallbackFuncs -> m () Source #

Set the value of the “`unref`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #unref

getSourceCallbackFuncsUnref :: MonadIO m => SourceCallbackFuncs -> m (Maybe SourceCallbackFuncsUnrefFieldCallback) Source #

Get the value of the “`unref`” field. When overloading is enabled, this is equivalent to

    get sourceCallbackFuncs #unref

setSourceCallbackFuncsUnref :: MonadIO m => SourceCallbackFuncs -> FunPtr C_SourceCallbackFuncsUnrefFieldCallback -> m () Source #

Set the value of the “`unref`” field. When overloading is enabled, this is equivalent to

    set sourceCallbackFuncs [ #unref := value ]